//
//  OTREpisodeViewController.m
//  OldTimeRadio
//
//  Created by Brian Moakley on 5/31/14.
//  Copyright (c) 2014 Razeware. All rights reserved.
//

#import "OTREpisodeListingViewController.h"
#import "FSPlayerViewController.h"
#import "OTRLibrary.h"
#import "OTREpisode.h"
#import "FSAudioController.h"

@interface OTREpisodeListingViewController ()<UITableViewDataSource, UITableViewDelegate>

@property (strong, nonatomic) NSMutableArray * episodes;
@property (weak, nonatomic) IBOutlet UITableView * tableView;
@property (weak, nonatomic) OTREpisode * selectedEpisode;

@end

@implementation OTREpisodeListingViewController

-(NSInteger) tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.episodes.count;
}

-(void) tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    self.selectedEpisode = self.episodes[indexPath.row];
    [self performSegueWithIdentifier:@"EpisodeView" sender:nil];
}

-(void) prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"EpisodeView"])
    {
        FSPlayerViewController * fpViewController = segue.destinationViewController;
        fpViewController.currentEpisode = self.selectedEpisode;
    
        FSAudioController * audioController = [[FSAudioController alloc] init];
        audioController.url = [NSURL URLWithString:self.selectedEpisode.fileLocation];
        [audioController play];
        
        fpViewController.audioController = audioController;
        fpViewController.currentEpisode = self.selectedEpisode;
    }
}

-(UITableViewCell *) tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell * cell = [tableView dequeueReusableCellWithIdentifier:@"Cell" forIndexPath:indexPath];
    
    OTREpisode * episode = self.episodes[indexPath.row];
    cell.textLabel.text = episode.title;
    return cell;
}


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self)
    {

    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    OTRLibrary * library = [OTRLibrary sharedLibrary];
    self.episodes = library.episodes;
    self.navigationController.title = @"Episodes";
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}


@end
