//
//  OTREpisodeViewController.m
//  OldTimeRadio
//
//  Created by Brian Moakley on 6/2/14.
//  Copyright (c) 2014 Razeware. All rights reserved.
//

#import "OTREpisodeViewController.h"
#import "FSPlayerViewController.h"
#import "OTREpisode.h"
#import "OTRShow.h"
#import "FSAudioController.h"

@interface OTREpisodeViewController ()

@property (weak, nonatomic) IBOutlet UILabel * episodeTitle;
@property (weak, nonatomic) IBOutlet UILabel * broadcastDate;
@property (weak, nonatomic) IBOutlet UIImageView * showImage;

@end

@implementation OTREpisodeViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}




- (void)viewDidLoad
{
    [super viewDidLoad];
    self.episodeTitle.text = self.selectedEpisode.title;
    self.showImage.image = [UIImage imageNamed:self.selectedEpisode.parentShow.thumbnailFileName];
    NSDateFormatter * dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"MMMM c, yyyy"];
    self.broadcastDate.text = [dateFormatter stringFromDate:self.selectedEpisode.broadcastDate];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

-(void) prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    FSPlayerViewController * fpViewController = segue.destinationViewController;
    FSAudioController * audioController = [[FSAudioController alloc] init];
    audioController.url = [NSURL URLWithString:self.selectedEpisode.fileLocation];
    [audioController play];
    
    fpViewController.audioController = audioController;
    fpViewController.currentEpisode = self.selectedEpisode;
}


@end
