//
//  OTRFavoritesViewController.m
//  OldTimeRadio
//
//  Created by Brian Moakley on 6/2/14.
//  Copyright (c) 2014 Razeware. All rights reserved.
//

#import "OTRFavoritesViewController.h"
#import "OTRFavorite.h"
#import "OTRLibrary.h"
#import "OTREpisode.h"
#import "FSAudioController.h"
#import "FSPlayerViewController.h"

@interface OTRFavoritesViewController () <UINavigationBarDelegate>

@property (strong, nonatomic) NSMutableArray * favorites;

@end

@implementation OTRFavoritesViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

-(UIBarPosition) positionForBar:(id<UIBarPositioning>)bar
{
    return UIBarPositionTopAttached;
}

-(NSInteger) tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.favorites.count;
}

-(void) tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    [self performSegueWithIdentifier:@"PlayEpisode" sender:self.favorites[indexPath.row]];
}

-(UITableViewCell *) tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell * cell = [tableView dequeueReusableCellWithIdentifier:@"Cell" forIndexPath:indexPath];
    OTRFavorite * favorite = self.favorites[indexPath.row];
    
    cell.textLabel.text = favorite.episode.title;
    return cell;
}

-(void) prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"PlayEpisode"])
    {
        OTRFavorite * favorite = (OTRFavorite *) sender;
        FSAudioController * audioController = [[FSAudioController alloc] init];
        FSPlayerViewController * fpViewController = segue.destinationViewController;
        fpViewController.currentEpisode = favorite.episode;
        
        audioController.url = [NSURL URLWithString:favorite.episode.fileLocation];
        [audioController play];
        
        fpViewController.audioController = audioController;
        fpViewController.currentEpisode = favorite.episode;
    }
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    OTRLibrary * library = [OTRLibrary sharedLibrary];
    self.favorites = library.favorites;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
