//
//  OTRSitesViewController.m
//  OldTimeRadio
//
//  Created by Brian Moakley on 6/2/14.
//  Copyright (c) 2014 Razeware. All rights reserved.
//

#import "OTRSitesViewController.h"
#import "OTRLibrary.h"
#import "OTRSite.h"

@interface OTRSitesViewController () <UITableViewDataSource, UITableViewDelegate, UINavigationBarDelegate>

@property (strong, nonatomic) NSMutableArray * sites;

@end

@implementation OTRSitesViewController

-(NSInteger) tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.sites.count;
}

-(UIBarPosition) positionForBar:(id<UIBarPositioning>)bar
{
    return UIBarPositionTopAttached;
}

-(void) tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    OTRSite * site = self.sites[indexPath.row];
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString: site.address]];

}

-(UITableViewCell *) tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell * cell = [tableView dequeueReusableCellWithIdentifier:@"Cell" forIndexPath:indexPath];
    OTRSite * site = self.sites[indexPath.row];
    
    cell.textLabel.text = site.name;
    return cell;
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {

    }
    return self;
}

- (void)viewDidLoad
{
    OTRLibrary * sharedLibrary = [OTRLibrary sharedLibrary];
    self.sites = sharedLibrary.sites;
    
    [super viewDidLoad];
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
